package utils

import (
	"anonymousoverflow/config"

	"github.com/gin-gonic/gin"
)

func Render(c *gin.Context, code int, temp string, _data ...gin.H) {
	var data gin.H = nil

	if len(_data) > 0 {
		data = _data[0]
	}

	if data == nil {
		data = gin.H{}
	}

	data["version"] = config.Version
	data["theme"] = GetThemeFromEnv()

	c.HTML(code, temp+".html", data)
}
